/* Reset & Base styles */
body {
  margin: 0;
  padding: 0;
  font-family: 'Noto Serif', serif;
  background-size: cover;
      background-image: url('./logo.png'); /* or a URL */
  background-color: black;
  color: white;
  overflow: hidden;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  touch-action: manipulation;
}

/* Preload blocker */
body.loading * {
  visibility: hidden;
}
/* Modal styling */
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal.hidden {
  display: none;
}

.modal-content {
  background-color: black;
  padding: 40px 30px 30px;
  border-radius: 20px;
  text-align: center;
  position: relative;
  max-width: 300px;
  width: 80%;
  font-family: 'Noto Serif', serif;
}

/* Close button styling – this moves it higher */
.modal-content button {
  position: absolute;
  top: 10px;
  right: 10px;
  background: none;
  color: white;
  border: none;
  font-size: 14px;
  font-family: 'Noto Serif', serif;
  cursor: pointer;
  text-transform: uppercase;
  letter-spacing: 0.5px;
}

body.loading::before {
  content: '';
  position: fixed;
  inset: 0;
  background: black;
  z-index: 9999;
}

/* Content Wrapper */
.container {
  position: relative;
  z-index: 1;
  min-height: 100vh;
  padding: 0px 20px;
  display: flex;
 
  justify-content: center;
  align-items: center;
  text-align: center;
}

/* Title */
.headline {
  font-family: 'Noto Serif', sans-serif;
    font-size: clamp(1.2rem, 3vw, 2rem); /* smaller min, mid, and max */

  letter-spacing: 1px;
  text-transform: uppercase;
  margin-bottom: 0px;
}

/* Waitlist Form */
.waitlist-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  width: 80%;
  max-width: 320px;
}
.subheadline {
  font-family: 'Noto Serif', sans-serif;
  font-size: clamp(1.2rem, 2.5vw, 2rem);
  letter-spacing: 1px;
  margin-top: -10px;
  margin-bottom: 0px;
  text-transform: lowercase;
}
.waitlist-form input {
  width: 80%;
 padding: 10px;
  font-size: 14px;
  border: none;
  border-radius: 9px;
  background-color: rgba(255, 255, 255, 0.3);
  color: white;
  text-align: center;
  outline: none;
}

.waitlist-form input::placeholder {
  color: white;
}

.waitlist-form button {
  width: 80%;
  padding: 2px;
  font-size: 8px;
  border: none;
  border-radius: 9px;
  background-color: rgba(255, 255, 255, 0.3);

  color: white;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.waitlist-form button:hover {
  background-color: #911f1f;
  color: white;
}

/* Responsive fine-tuning */
@media (max-width: 450px) {
  .waitlist-form input,
  .waitlist-form button {
    font-size: 14px;
    padding: 10px;
  }
}
